## com.sun.grizzly
Interface IOEvent<E>

All Known Implementing Classes:
  IOEvent.DefaultIOEvent

    public interface IOEvent<E>

When a non blocking operation occurs, the SelectorHandler implementation will invoke an instance of `CallbackHandler` with an instance of this class. By Default, the class will be instanciated using IOEvent<SelectionKey>.

Author:
  Jeanfrancois Arcand

Nested Class Summary
`static class` `IOEvent.DefaultIOEvent<E>` Simple IOEvent implementation

Method Summary
`E` `attach(E e)` Attach an E and return the previous value.
`E` `attachment()` Return the current attachment.

Method Detail

### attach

    E attach(E e)

  Attach an E and return the previous value.

  Parameters:
    `e` - object to attache
  Returns:
    previous attached value

### attachment

    E attachment()

  Return the current attachment.

  Returns:
    the attachment

Copyright © 2008 SUN Microsystems. All Rights Reserved.